Skip to content
vocapable.Docs

Invite someone to this company (sends the invitation email)

POST
/v1/workspace/team/invitations
curl --request POST \
--url https://api.vocapable.com/v1/workspace/team/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "full_name": "example", "email": "example", "role": "rep" }'
Media typeapplication/json
WorkspaceInvitationCreate
object
full_name
required
Full Name
string
>= 2 characters <= 120 characters
email
required
Email
string
>= 3 characters <= 254 characters
role
required
Role
string
Allowed values: rep manager

Successful Response

Media typeapplication/json
WorkspaceInvitation
object
id
required
Id
string
email
required
Email
string
full_name
required
Any of:
string
role
required
Any of:
string
Allowed values: rep manager
status
required
Status
string
Allowed values: pending accepted revoked
expires_at
required
Expires At
string format: date-time
created_at
required
Created At
string format: date-time
delivery
required
Delivery
string
Allowed values: sent not_sent
Example
{
"role": "rep",
"status": "pending",
"delivery": "sent"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}